Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.dom
Class DocumentWrapper

    java.lang.Object
      net.sf.saxon.dom.NodeWrapper
          net.sf.saxon.dom.DocumentWrapper

All Implemented Interfaces:
  Source, DocumentInfo, Item, NodeInfo, SiblingCountingNode, ValueRepresentation, VirtualNode

    public class DocumentWrapper

extends NodeWrapper
implements DocumentInfo

The document node of a tree implemented as a wrapper around a DOM Document.

Field Summary

Fields inherited from interface net.sf.saxon.om.NodeInfo
`ALL_NAMESPACES, EMPTY_NAMESPACE_LIST, IS_DTD_TYPE, IS_NILLED, LOCAL_NAMESPACES, NO_NAMESPACES`

Fields inherited from interface net.sf.saxon.om.ValueRepresentation
`EMPTY_VALUE_ARRAY`

Constructor Summary
`DocumentWrapper(Node doc, String baseURI, Configuration config)` Wrap a DOM Document or DocumentFragment node

Method Summary
`Configuration` | `getConfiguration()` Get the configuration previously set using setConfiguration
`int` | `getDocumentNumber()` Get the unique document number
`NamePool` | `getNamePool()` Get the name pool used for the names in this document
`String[]` | `getUnparsedEntity(String name)` Get the unparsed entity with a given name
`boolean` | `isSameNodeInfo(NodeInfo other)` Determine whether this is the same node as another node.
`NodeInfo` | `selectID(String id)` Get the element with a given ID, if any
`void` | `setConfiguration(Configuration config)` Set the Configuration that contains this document
`NodeWrapper` | `wrap(Node node)` Create a wrapper for a node in this document

Methods inherited from class net.sf.saxon.dom.NodeWrapper
`atomize, compareOrder, copy, equals, generateId, getAttributeValue, getBaseURI, getDeclaredNamespaces, getDisplayName, getDocumentRoot, getFingerprint, getLineNumber, getLocalPart, getNameCode, getNodeKind, getParent, getPrefix, getRoot, getSiblingPosition, getStringValue, getStringValueCS, getSystemId, getTypeAnnotation, getTypedValue, getUnderlyingNode, getURI, hasChildNodes, hashCode, iterateAxis, iterateAxis, sendNamespaceDeclarations, setSystemId`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.saxon.om.NodeInfo
`atomize, compareOrder, copy, equals, generateId, getAttributeValue, getBaseURI, getDeclaredNamespaces, getDisplayName, getDocumentRoot, getFingerprint, getLineNumber, getLocalPart, getNameCode, getNodeKind, getParent, getPrefix, getRoot, getStringValue, getSystemId, getTypeAnnotation, getURI, hasChildNodes, hashCode, iterateAxis, iterateAxis, sendNamespaceDeclarations`

Methods inherited from interface javax.xml.transform.Source
`setSystemId`

Methods inherited from interface net.sf.saxon.om.Item
`getStringValueCS, getTypedValue`

Constructor Detail

### DocumentWrapper

    public DocumentWrapper(Node doc,
                           String baseURI,
                           Configuration config)

  Wrap a DOM Document or DocumentFragment node

  Parameters:
    `doc` - a DOM Document or DocumentFragment node
    `baseURI` - the base URI of the document
    `config` - the Saxon configuration

Method Detail

### wrap

    public NodeWrapper wrap(Node node)

  Create a wrapper for a node in this document

  Parameters:
    `node` - the DOM node to be wrapped. This must be a node within the document wrapped by this DocumentWrapper
  Throws:
    `IllegalArgumentException` - if the node is not a descendant of the Document node wrapped by this DocumentWrapper

### setConfiguration

    public void setConfiguration(Configuration config)

  Set the Configuration that contains this document

### getConfiguration

    public Configuration getConfiguration()

  Get the configuration previously set using setConfiguration

  Specified by:
    `getConfiguration` in interface `NodeInfo`
  Overrides:
    `getConfiguration` in class `NodeWrapper`
  Returns:
    the Configuration

### getNamePool

    public NamePool getNamePool()

  Get the name pool used for the names in this document

  Specified by:
    `getNamePool` in interface `NodeInfo`
  Overrides:
    `getNamePool` in class `NodeWrapper`
  Returns:
    the NamePool

### getDocumentNumber

    public int getDocumentNumber()

  Get the unique document number

  Specified by:
    `getDocumentNumber` in interface `NodeInfo`
  Overrides:
    `getDocumentNumber` in class `NodeWrapper`

### selectID

    public NodeInfo selectID(String id)

  Get the element with a given ID, if any

  Specified by:
    `selectID` in interface `DocumentInfo`
  Parameters:
    `id` - the required ID value
  Returns:
    a NodeInfo representing the element with the given ID, or null if there is no such element. This implementation does not necessarily conform to the rule that if an invalid document contains two elements with the same ID, the one that comes last should be returned.

### isSameNodeInfo

    public boolean isSameNodeInfo(NodeInfo other)

  Determine whether this is the same node as another node.
  Note: a.isSameNode(b) if and only if generateId(a)==generateId(b)

  Specified by:
    `isSameNodeInfo` in interface `NodeInfo`
  Overrides:
    `isSameNodeInfo` in class `NodeWrapper`
  Parameters:
    `other` - the node to be compared with this node
  Returns:
    true if this Node object and the supplied Node object represent the same node in the tree.

### getUnparsedEntity

    public String[] getUnparsedEntity(String name)

  Get the unparsed entity with a given name

  Specified by:
    `getUnparsedEntity` in interface `DocumentInfo`
  Parameters:
    `name` - the name of the entity
  Returns:
    null: JDOM does not provide access to unparsed entities

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.